# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "sp1-core-executor-runner-binary"
version = "6.2.3"
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Binary runner crate used by sp1-core-executor-runner"
readme = "README.md"
keywords = [
    "sp1",
    "succinct",
    "zero-knowledge",
    "zkvm",
]
categories = ["cryptography"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/succinctlabs/sp1"

[features]
default = []
mprotect = ["sp1-core-executor/mprotect"]
profiling = ["sp1-core-executor/profiling"]

[lib]
name = "sp1_core_executor_runner_binary"
path = "src/lib.rs"

[[bin]]
name = "sp1-core-executor-runner-binary"
path = "src/main.rs"

[dependencies.bincode]
version = "1.3.3"

[dependencies.crash-handler]
version = "0.7.0"

[dependencies.libc]
version = "0.2"

[dependencies.serde]
version = "1.0.204"
features = [
    "derive",
    "derive",
    "rc",
]

[dependencies.sp1-core-executor]
version = "6.2.3"

[dependencies.sp1-jit]
version = "6.2.3"

[dependencies.tracing-subscriber]
version = "0.3.18"
features = [
    "std",
    "env-filter",
]

[build-dependencies.sp1-core-executor]
version = "6.2.3"

[lints.clippy]
print_stdout = "deny"

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = [
    "cfg(sp1_debug_constraints)",
    "cfg(sp1_debug_global_memory)",
    "cfg(sp1_core_runner_override)",
    "cfg(sp1_use_native_executor)",
    "cfg(sp1_use_portable_executor)",
    "cfg(sp1_native_executor_available)",
]
